﻿# You can place the script of your game in this file.

init:

    image img 1 = "img/1.png"
    image img 2 = "img/2.png"
    image img 3 = "img/3.png"
    image img 4 = "img/4.png"
    image img 5 = "img/5.png"
    image img 6 = "img/6.png"
    image img 7 = "img/7.png"
    image img 8 = "img/8.png"
    image img 9 = "img/9.png"
    image img 10 = "img/10.png"
    image img 11 = "img/11.png"
    image img 12 = "img/12.png"
    image img 13 = "img/13.png"
    image img 14 = "img/14.png"
    image img 15 = "img/15.png"
    image img 16 = "img/16.png"
    image img 17 = "img/17.png"
    image img 18 = "img/18.png"
    image img 19 = "img/19.png"    
    image img 20 = "img/20.png"
    image img 21 = "img/21.png"
    image img 22 = "img/22.png"
    image img 23 = "img/23.png"
    image img 24 = "img/24.png"
    image img 25 = "img/25.png"
    image img 26 = "img/26.png"
    image img 27 = "img/27.png"    
    

# The game starts here.
label start:
    
    $ correct = 0
    
    "Welcome to CardioQuiz, the trivia game that gives you info on cardiovascular diseases."
    
    menu:        
        "Would you like to hear the rules?"
        "Yes":            
            "You are presented with a question, and select the correct answer. A correct answer yields a piece of candy for the person answering it correctly."
            "The entire class will get a chance to answer the questions at least once."
            "There are 27 questions total, divided up into 3 levels with 9 questions each (not necessarily in increasing difficulty)."
            "Level 1: 1 piece of candy \nLevel 2: 1-2 pieces of candy \nLevel 3: 2 pieces of candy"
            "Can you, as a class, get all the questions answered correctly? Do you have what it takes to make a healthy heart?"
        "No":
            pass
        
    centered "Level 1"
    
    scene img 1 with dissolve            
    menu:
        "1) Cardiovascular disease is:"
        "a.	The disease of the lungs.":
            "Wrong! The answer is B: The disease of the circulatory system."
        "b.	The disease of the circulatory system.":
            $ correct += 1            
            "Correct! =D"
        "c.	The disease of the immune system.":
            "Wrong! The answer is B: The disease of the circulatory system."
        "d.	The disease of the stomach.":
            "Wrong! The answer is B: The disease of the circulatory system."

    scene img 2 with dissolve            
    menu:
        "2) Cardiovascular disease is the ___________ cause of death in the United States."
        "a.	Leading":
            $ correct += 1            
            "Correct! =D"
        "b.	Second":
            "Wrong! The answer is A: leading cause of death in the US"
        "c.	Third":
            "Wrong! The answer is A: leading cause of death in the US"
        "d.	Fourth":
            "Wrong! The answer is A: leading cause of death in the US"
            
    scene img 3 with dissolve            
    menu:
        "3) Risk factors for cardiovascular disease include:"
        "a.	Heredity":
            "Wrong! The answer is D: all the above"
        "b.	Hypertension (high blood pressure)":
            "Wrong! The answer is D: all the above"
        "c.	High blood cholesterol levels":
            "Wrong! The answer is D: all the above"
        "d.	All of the above":
            $ correct += 1            
            "Correct! =D"
            
    scene img 4 with dissolve            
    menu:
        "4) What is coronary heart disease?"
        "a.	Plaque buildup in the arteries in one or more blood vessels":
            $ correct += 1            
            "Correct! =D"               
        "b.	Bacteria affecting your circulatory system":
            "Wrong! The answer is A: Plaque buildup in the arteries in one or more blood vessels"
        "c.	A hereditary disease that cannot be cured":
            "Wrong! The answer is A: Plaque buildup in the arteries in one or more blood vessels"
        "d.	Anemia":
            "Wrong! The answer is A: Plaque buildup in the arteries in one or more blood vessels" 

    scene img 5 with dissolve            
    menu:
        "5) What is arteriosclerosis?"
        "a.	Plaque buildup in the arteries in one or more blood vessels":
            "Wrong! The answer is C: Hardening of the arteries, resulting in progressive blockage"                         
        "b.	A type of stroke":
            "Wrong! The answer is C: Hardening of the arteries, resulting in progressive blockage"
        "c.	Hardening of the arteries, resulting in progressive blockage":
            $ correct += 1            
            "Correct! =D"  
        "d.	All of the above":
            "Wrong! The answer is C: Hardening of the arteries, resulting in progressive blockage"
            
    scene img 6 with dissolve
    menu:
        "6)	What type of cholesterol results in coronary heart disease?"
        "a.	High-density lipoproteins, in excess":
            "Wrong! The answer is B: Low-density lipoproteins, in excess"
        "b.	Low-density lipoproteins, in excess":
            $ correct += 1            
            "Correct! =D"              
        "c.	High-density lipoproteins, in low amounts":
            "Wrong! The answer is B: Low-density lipoproteins, in excess"            
        "d.	Low-density lipoproteins, in low amounts":
            "Wrong! The answer is B: Low-density lipoproteins, in excess"            
            
    scene img 7 with dissolve
    menu:
        "7)	What can you do to reduce your risk of hypertension?"
        "a.	Avoid foods high in LDL fat":
            "Wrong! The answer is C: Avoid foods high in salt"
        "b.	Don’t smoke":
            "Wrong! The answer is C: Avoid foods high in salt"            
        "c.	Avoid foods high in salt":
            $ correct += 1            
            "Correct! =D" 
        "d.	None of the above":
            "Wrong! The answer is C: Avoid foods high in salt"            

    scene img 8 with dissolve
    menu:
        "8)	How many times more does a smoker increases his/her chance of developing coronary heart disease?"
        "a.	Same as a non-smoker":
            "Wrong! The answer is C: Increases the risk 2x"
        "b.	Lowers the risk by 2x":
            "Wrong! The answer is C: Increases the risk 2x"
        "c.	Increases the risk 2x":
            $ correct += 1            
            "Correct! =D" 
        "d.	Has no effect":
            "Wrong! The answer is C: Increases the risk 2x"

    scene img 9 with dissolve
    menu:
        "9)	What causes a heart attack?"
        "a.	The heart stops beating all of a sudden":
            "Wrong! The answer is D: Both B and C"
        "b.	Plaque in the arteries completely blocks blood flow to the heart":
            "Wrong! The answer is D: Both B and C"            
        "c.	An unhealthy diet":
            "Wrong! The answer is D: Both B and C"            
        "d.	Both B and C":
            $ correct += 1            
            "Correct! =D"             

    scene black with dissolve            
    centered "Level 2"
    
    scene img 10 with dissolve
    menu:
        "10)	What is a stroke?"
        "a.	Blockage of blood flow to the brain":
            "Wrong! The answer is D: Both A and C"
        "b.	Blockage of blood flow to the heart":
            "Wrong! The answer is D: Both A and C"
        "c.	A rupturing of blood vessels in the brain":
            "Wrong! The answer is D: Both A and C"          
        "d.	Both A and C":
            $ correct += 1            
            "Correct! =D"   

    scene img 11 with dissolve
    menu:
        "11)	What happens when coronary arteries are blocked?"
        "a.	It will lead to damaged muscle tissue in the heart":
            "Wrong! The answer is C: Both A and B"
        "b.	A heart attack":
            "Wrong! The answer is C: Both A and B"
        "c.	Both A and B":
            $ correct += 1            
            "Correct! =D"  
        "d.	Neither A or B":
            "Wrong! The answer is C: Both A and B"

    scene img 12 with dissolve
    menu:
        "12)	How can diabetes affect your risk of cardiovascular disease?"
        "a.	It increases sodium levels in your bloodstream":
            "Wrong! The answer is B: Elevated blood cholesterol levels are linked to diabetes"
        "b.	Elevated blood cholesterol levels are linked to diabetes":
            $ correct += 1            
            "Correct! =D"  
        "c.	Both A and B":
            "Wrong! The answer is B: Elevated blood cholesterol levels are linked to diabetes"
        "d.	Neither A or B":
            "Wrong! The answer is B: Elevated blood cholesterol levels are linked to diabetes"
        
    scene img 13 with dissolve
    menu:
        "13)	What is an arrhythmia?"        
        "a.	Irregular heart beats":
            $ correct += 1            
            "Correct! =D"  
        "b.	Heart beating faster than it should":
            "Wrong! The answer is A: Irregular heart beats"
        "c.	Heart beating slower than it should":
            "Wrong! The answer is A: Irregular heart beats"
        "d.	A type of fat":
            "Wrong! The answer is A: Irregular heart beats"
            
    scene img 14 with dissolve
    menu:
        "14)	How does stress play a role in cardiovascular disease?"
        "a.	People under stress could start smoking":
            "Wrong! The answer is D: All of the above"
        "b.	Elevated cholesterol levels":
            "Wrong! The answer is D: All of the above"
        "c.	Elevated risk of hypertension":
            "Wrong! The answer is D: All of the above"
        "d.	All of the above":
            $ correct += 1            
            "Correct! =D"  

    scene img 15 with dissolve
    menu:
        "15)	What is the optimal level for low-density lipoprotein (LDL) cholesterol?"
        "a.	> 190":
            "Wrong! The answer is B: < 100"
        "b.	< 100":
            $ correct += 1            
            "Correct! =D"  
        "c.	Between 130-160":
            "Wrong! The answer is B: < 100"
        "d.	None of them":
            "Wrong! The answer is B: < 100"
            
    scene img 16 with dissolve
    menu:
        "16)	Why is hypertension dubbed the \"silent killer\"?"
        "a.	People may go undiagnosed for years":
            "Wrong! The answer is D: All the above"            
        "b.	Symptoms, such as headaches and dizziness, don’t show up in everyone":
            "Wrong! The answer is D: All the above"                 
        "c.	You don’t know you have it":
            "Wrong! The answer is D: All the above"                 
        "d.	All the above":
            $ correct += 1            
            "Correct! =D"             

    scene img 17 with dissolve
    menu:
        "17) How does smoking increase your risk of heart disease?"
        "a.	Nicotine increases the heart rate":
            "Wrong! The answer is D: All the above"                 
        "b.	Increasing risk of clotting and heart attack":
            "Wrong! The answer is D: All the above"                 
        "c.	Increases chance of developing atherosclerosis":
            "Wrong! The answer is D: All the above"                 
        "d.	All of the above":
            $ correct += 1            
            "Correct! =D"
                
    scene img 18 with dissolve
    menu:
        "18) What is the role of alcohol consumption in heart disease?"
        "a.	It may decrease risk of heart disease, in moderation":
                "Wrong! The answer is C: Both A and B"               
        "b.	Drinking too much contributes to high blood pressure":
                "Wrong! The answer is C: Both A and B"              
        "c.	Both A and B":
                $ correct += 1            
                "Correct! =D"
        "d.	Neither A or B":
                "Wrong! The answer is C: Both A and B"              
        
    scene black with dissolve            
    centered "Level 3"
    
    scene img 19 with dissolve
    menu:        
        "19)	Which of the following can use behavior modification to lower risk of heart disease?"
        "a.	Obesity":
                $ correct += 1            
                "Correct! =D"            
        "b.	Gender":
                "Wrong! The answer is A: Obesity"  
        "c.	Increasing age":
                "Wrong! The answer is A: Obesity"              
        "d.	Heredity":
                "Wrong! The answer is A: Obesity"              

    scene img 20 with dissolve
    menu:
        "20)	Which of the following ethnic groups are at highest risk for hypertension?"
        "a.	White":
            "Wrong! The answer is B: African American"
        "b.	African American (more than 35%% of the population both men and women)":
                $ correct += 1            
                "Correct! =D"    
        "c.	Mexican American":
            "Wrong! The answer is B: African American"
        "d.	None of the above":
            "Wrong! The answer is B: African American"
            
    scene img 21 with dissolve
    menu:
        "21)	What is a common sign of a heart attack?"        
        "a.	You feel like vomiting":
            "Wrong! The answer is C: You feel an uncomfortable pressure in the chest"
        "b.	You get the urge to eat more":
            "Wrong! The answer is C: You feel an uncomfortable pressure in the chest"            
        "c.	You feel an uncomfortable pressure in the chest":
                $ correct += 1            
                "Correct! =D"   
        "d.	All of the above":
            "Wrong! The answer is C: You feel an uncomfortable pressure in the chest"

    scene img 22 with dissolve
    menu:
        "22)	Prior to a heart attack, you will always experience symptoms."
        "a.	True":
            "Wrong! The answer is B: False"
        "b.	False":
                $ correct += 1            
                "Correct! =D"   
        
    scene img 23 with dissolve
    menu:        
        "23)	Why HDL cholesterol is considered the “good” cholesterol?"
        "a.	It reduces the risk of cardiovascular disease":
            "Wrong! The answer is D: Both A and B"
        "b.	It protects you against fatty plaque buildup in the arteries":
            "Wrong! The answer is D: Both A and B"
        "c.	It protects you from hypertension":
            "Wrong! The answer is D: Both A and B"
        "d.	Both A and B":
                $ correct += 1            
                "Correct! =D"   

    scene img 24 with dissolve
    menu:
        "24)	What is the reason for declining incidence of cardiovascular disease in the past 30 years?"
        "a.	Reduction in risk factors":
            "Wrong! The answer is C: Both A and B"
        "b.	Medical advances":
            "Wrong! The answer is C: Both A and B"
        "c.	Both A and B":
                $ correct += 1            
                "Correct! =D"               
        "d.	Neither A or B":
            "Wrong! The answer is C: Both A and B"

    scene img 25 with dissolve
    menu:
        "25)	What are statins?"
        "a.	They prevent arteriosclerosis":
            "Wrong! The answer is D: Both B and C"
        "b.	They help remove cholesterol in the blood":
            "Wrong! The answer is D: Both B and C"
        "c.	They prevent formation of cholesterol in the liver":
            "Wrong! The answer is D: Both B and C"
        "d.	Both B and C":
                $ correct += 1            
                "Correct! =D"
                
    scene img 26 with dissolve
    menu:
        "26)	What is the best behavior modification strategy for high blood cholesterol?"
        "a.	Don’t stress out too much":
            "Wrong! The answer is B: Have a proper diet and exercise"            
        "b.	Have a proper diet and exercise":
                $ correct += 1            
                "Correct! =D"
        "c. Regular checkups":
            "Wrong! The answer is B: Have a proper diet and exercise" 
        "d.	None of the above":
            "Wrong! The answer is B: Have a proper diet and exercise" 
            
    scene img 27 with dissolve
    menu:
        "27)	How can you reduce your risk of heart disease?"
        "a.	Don’t smoke and eat a healthy diet":
            "Wrong! The answer is D: All the above" 
        "b.	Don’t stress out too much and be physically active":
            "Wrong! The answer is D: All the above" 
        "c.	Consume foods in moderation":
            "Wrong! The answer is D: All the above" 
        "d.	All the above":
                $ correct += 1            
                "Correct! =D"
        
    scene black with dissolve            
    centered "You are done with the quiz."

    "You got %(correct)d correct out of 27."    
        
    if correct == 27:
        "Yay! You know how to take care of yourselves."
    elif correct > 22:
        "Good job, you know how to take good care of yourselves."
    elif correct > 17:
        "Nice job, at least you have a basic understanding."
    elif correct > 12:
        "Did you learn something new from this?"
    elif correct > 7:
        "I hope you learned something out of this."
    else:
        "Better luck next time!"

    "End of game"
    "This game is powered by Ren'Py \n{a=http://www.renpy.org}www.renpy.org{/a}"
